import { EmbedBuilder, MessageCreateOptions} from "discord.js"
import {Action} from "./game"
import { render } from "./template"

export const ActionAnnounceNewGame: Action = {
  async Before(game) {
    const msg:MessageCreateOptions = {
      content: render(
        `new game. players ({{playercount}})
        {{#players}}
        {{name}}
        {{/players}}`, {
          playercount: Object.entries(game.players).length,
          players: Object.values(game.players),
        }),
    }
    game.sink.SendMessage(msg)
  },
}
